## org.freedesktop.UDisks2.Block.Bcache org.freedesktop.UDisks2.Block.Bcache — A bcache block device |

## Methods

    BcacheDestroy (IN  a{sv} options);
    SetMode       (IN  s     mode,
                   IN  a{sv} options);

## Properties

    Mode          readable   s
    State         readable   s
    BlockSize     readable   t
    CacheSize     readable   t
    CacheUsed     readable   t
    Hits          readable   t
    Misses        readable   t
    BypassHits    readable   t
    BypassMisses  readable   t

## Description

Names of the properties where changed in version 2.7.0.

## Method Details

### The BcacheDestroy() method

    BcacheDestroy (IN  a{sv} options);

Destroy bcache devices.

No additional options are currently defined.

`IN a{sv} `options``: | Additional options.

Since 2.4.0

### The SetMode() method

    SetMode (IN  s     mode,
             IN  a{sv} options);

Change cache mode.

No additional options are currently defined.

`IN s `mode``: | mode to set
`IN a{sv} `options``: | Additional options.

Since 2.4.0

## Property Details

### The "Mode" property

    Mode  readable   s

### The "State" property

    State  readable   s

### The "BlockSize" property

    BlockSize  readable   t

### The "CacheSize" property

    CacheSize  readable   t

### The "CacheUsed" property

    CacheUsed  readable   t

### The "Hits" property

    Hits  readable   t

### The "Misses" property

    Misses  readable   t

### The "BypassHits" property

    BypassHits  readable   t

### The "BypassMisses" property

    BypassMisses  readable   t